jQuery(document).ready(function( $ ) {	
	
	$( ".selector" ).draggable()
		$( ".special" ).droppable({
			accept: ".selector",
			tolerance: "touch",
			drop: function(ev, ui) {
				$(ui.draggable).detach().css({top: 0,left: 0}).appendTo(this);
			}
		});
		
		$( ".map-special" ).draggable();
		$( ".map-special-multiple" ).draggable();
		$( ".has-vehicles .map-image" ).droppable({
			accept: ".map-special-multiple, .map-special",
			tolerance: "touch"
		});
		
		$( ".draggable-images img" ).draggable({
			revert: "invalid"
		});
		$( ".drop-one" ).droppable({
			accept: function(d) {
				var dataA = $(this).attr("data-accept");
				console.log(dataA);
				if(d.hasClass(dataA)){ 
					return true;
				}
			},
			tolerance: "touch",
			drop: function( event, ui ) {
				if (!$(this).hasClass("nobg") ) {
					$(this).css('background-color','green');
				}
				
				if (!$(this).hasClass("noindc") ) {
					if ($(this).find('.correct-answer').length == 0) {
						$(this).append('<span class="correct-answer">CORRECT</span>');
					}
				}
				if ($(this).hasClass("noindc") ) {
					$(ui.draggable).detach().css({top: 0,left: 0}).appendTo(this);
				}
				
			}
		});
		
	$( ".read-more" ).on('click', function(e) {
		e.preventDefault();
		$(this).next().fadeIn();
	});
	
	$( ".popupContainer .close" ).on('click', function(e) {
		e.preventDefault();
		$(this).parent().parent().fadeOut();
	});
    
    $( ".genericPopupTrigger" ).on('click', function(e) {
		e.preventDefault();
		var popup = $(this).attr('data-pop');
        $('#'+popup).fadeIn();
	});
		
	$("#condition-map area").on({
		
		mouseenter: function (e) {
			var mouseY;
			mouseY = e.pageY;
			var condition = $(this).attr('title');
			$('#'+condition).css({'top': mouseY,}).show();
		},
		mouseleave: function () {
			var condition = $(this).attr('title');
			$('#'+condition).hide();
		}
		
	});
		
	$( "#top-navigation a.slide-trigger" ).on('click', function(e) {
		e.preventDefault();
		var hash = $(this).prop("hash");
		var currentSlideVideo = $('.active-slide .player');
		if (currentSlideVideo.length) {
			froogaloop = $f(currentSlideVideo[0].id);
			froogaloop.api('pause');
		}
		$('audio').trigger("pause");
		$( "#contents" ).slideUp();
		$( "#top-navigation a" ).removeClass("active-navigation");	
		$('a[href$="'+hash+'"]:not(.previous-slide, .next-slide)').addClass("active-navigation");
		$('.active-slide').removeClass('active-slide');
		$('.active-slide').fadeOut;
		$(hash).fadeIn;
		$(hash).addClass('active-slide');
		var next = $( ".slide-number.active-navigation" ).next().prop("hash");
		var previous = $( ".slide-number.active-navigation" ).prev().prop("hash");
		$(".previous-slide").prop("href", previous);
		$(".next-slide").prop("href", next);
		var player = $(hash + ' .player:not(.noauto)');
		console.log(hash);
		if (player.length) {
			console.log(player[0].id);
			froogaloop = $f(player[0].id);
			froogaloop.api('play');
		}
		if ($('.active-slide .playing .playon-click').length) {
			var clickaudio = $('.active-slide .playing .playon-click');
			clickaudio.trigger("play");
		}
		
				
	});
	$( ".image-audio-trigger" ).on('click', function(e) {
		$('audio').trigger("pause");
		var clickaudio = $(this).find('.playon-click');
		if ($(this).hasClass('playing')) {
			var clickaudio = $('.active-slide .playon-click');
			clickaudio.trigger("pause");
			$(this).removeClass('playing');
		} else {
			clickaudio.trigger("play");
			$(this).addClass('playing');
		}
	});
	
	$( ".multiple-answers-button" ).on('click', function(e) {
		var next = $(this).attr("data-next");
		var caller = $(this).attr("data-caller");
		$(this).parent().parent().find('label').each(function() {
			  var specialind = $(this).attr("data-special");
			  var specialtype = $(this).attr("data-special-type");
			  console.log(specialtype);
			  if (specialind) {
				   if ($(this).find('.wrong-answer').length == 0 && $(this).find('.correct-answer').length == 0) {
						if (specialtype == 'correct') {
							  $(this).find('input').before('<span class="correct-answer">'+specialind+'</span>');
						  } else {
							  $(this).find('input').before('<span class="wrong-answer">'+specialind+'</span>');
						  }
					
					}
				}
				  
			});
			$(this).parent().siblings().find('input.ind-w:checked').before('<span class="wrong-answer">X</span>');
			$(this).parent().siblings().find('input.ind-c').before('<span class="correct-answer">&#x2714;</span>');
			$(this).parent().siblings().find('input.ind-c').next('.checkmark').addClass('right');
			$(this).after('<a href="#'+next+'" class="after-audio" data-caller="'+caller+'" onclick="nextQuestion(event, this)">Proceed »</a>');
			$(this).remove();
		
	});

    $( ".answers-button" ).on('click', function(e) {
		e.preventDefault();
		if ($(this).hasClass('column-replacement')) {
			var replacement = $(this).attr("data-show");
			$('#Map_plain').hide();
			$('#'+replacement).siblings('.replaced').hide();
			$('#'+replacement).show('fade',function(){
				if($('#'+replacement).hasClass('player')) {
							var currentSlideVideo = $('.active-slide .player');
							if (currentSlideVideo.length) {
								froogaloop = $f(currentSlideVideo[0].id);
								froogaloop.api('play');
							}
						}
			});
			
		}
		var currentSlideVideo = $('.active-slide .player');
		if (currentSlideVideo.length) {
			froogaloop = $f(currentSlideVideo[0].id);
			froogaloop.api('pause');
		}
		$('audio').trigger("pause");
		var next = $(this).attr("data-next");
		var audio = $(this).attr("data-audio");
		if ($(this).parent().parent().is('.requires-correct')) {
			$(this).parent().parent().find('.checkmark').removeClass('right');
			$(this).parent().parent().find('.correct-answer').remove();
			$(this).parent().parent().find('.wrong-answer').remove();
			if ($(this).parent().siblings().find('input.ind-c').is(':checked')) {
				$(this).parent().siblings().find('input:checked').next('.checkmark').addClass('right');
				$(this).parent().siblings().find('input:checked').before('<span class="correct-answer">&#x2714;</span>');
				if (audio) {
					$(this).after('<span class="audio-response"><audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></span>');
				} else {
					$(this).after('<span class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></span>');
				}
				$(this).remove();
			} else {
				$(this).parent().siblings().find('input:checked').before('<span class="wrong-answer">X</span>');
			}
		} else if ($(this).parent().parent().is('.multiple-correct')){
			$(this).parent().parent().find('.checkmark').removeClass('right');
			$(this).parent().parent().find('.correct-answer').remove();
			$(this).parent().parent().find('.wrong-answer').remove();
			$(this).parent().siblings().find('input.ind-w:checked').before('<span class="wrong-answer">X</span>');
			$(this).parent().siblings().find('input.ind-c').before('<span class="correct-answer">&#x2714;</span>');
			$(this).parent().siblings().find('input.ind-c').next('.checkmark').addClass('right');
			if (audio) {
					$(this).after('<span class="audio-response"><audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></span>');
				} else {
					$(this).after('<span class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></span>');
				}
				$(this).remove();
		} else if ($(this).parent().parent().is('.column-multiple-correct')){
			$(this).parent().parent().find('.checkmark').removeClass('right');
			$(this).parent().siblings().find('input.ind-c').next('.checkmark').addClass('right');
			if (audio) {
					$(this).after('<div class="audio-response"><audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
				} else {
					$(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
				}
				$(this).remove();
		} else if ($(this).parent().parent().is('.guide-correct')){
            console.log('guide-correct-was-clickidee-clackidee');
			$(this).parent().parent().find('.checkmark').removeClass('right');
			$(this).parent().parent().find('.correct-answer').remove();
			$(this).parent().parent().find('.wrong-answer').remove();
			var sibaudio = $(this).parent().siblings().find('input:checked').attr("data-audio");
			$('.triggeredAudio').html('<audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+sibaudio+'.mp3" type="audio/mpeg"></audio>');
			if ($(this).parent().siblings().find('input.ind-c').is(':checked')) {
				$(this).parent().siblings().find('input.ind-c').before('<span class="correct-answer">&#x2714;</span>')
				$(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
				$(this).remove();
			} else {
				$(this).parent().siblings().find('input:checked').before('<span class="wrong-answer">X</span>')
			}
		} else if ($(this).parent().is('.special-indicator')){
			$(this).siblings().each(function() {
				  var specialind = $(this).attr("data-special");
				  $(this).find('input').before('<span class="wrong-answer">'+specialind+'</span>');
			});
			if (audio) {
				$(this).after('<div class="audio-response"><audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
			} else {
				$(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
			}
			$(this).remove();
		}  else {
			if (audio) {
				$(this).after('<div class="audio-response"><audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
			} else {
				$(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
			}
			$(this).remove();
		}
		
	});
	
    
    $( "#slide-fourteen .answers-button-text.first-answers" ).on('click', function(e) {
		e.preventDefault();
        var next = $(this).attr("data-next");
        $('#slide-fourteen .answer-column-right').html('<div class="grey-answer-box"><h3>Identify the Product</h3><p><b>This is a trick question. All the answers are good but some have one or two limitations.</b></p><p><b>Call the dispatcher: </b>Unless the dispatcher has training in these issues they are as limited as the offier in the street But they can make calls and try to get you some information and advice.</p><p><b>Pipeline marker label: </b>This will certianly give you the name of the product if it is natural gas or a specialty product. But may times the name on thie product is "Petroleum Pipeline."</p><p><b>Call the number on the marker: </b>This is the best way to get a lot of information quickly Communicating directly with the pipeline operator is the fastest way to get critical information</p><p><b>Call Chemtrec: </b>Chemtrec is a valuable transportation information resource. If they have a name of the product or specific details, they can provide a lot of information</p><p><b>Assume hazardous material and evacuate: </b>Not a bad choice either. Early evacuation in an emergency will protect those in harm\'s way. But how far? What are the hazards of the product? Some toxics will require protection.</p></div>');
         $(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
        $(this).remove();
	});
    
	  $( "#background-trigger" ).on('click', function(e) {
		e.preventDefault();
        $('#scenario-background').show("slide", { direction: "left" }, 500);
	});
	
	  $( "#background_collapse" ).on('click', function(e) {
		e.preventDefault();
        $('#scenario-background').hide("slide", { direction: "left" }, 500);
	});
	
    $( "#slide-fifteen .answers-button-text.second-answers" ).on('click', function(e) {
		e.preventDefault();
        var next = $(this).attr("data-next");
        $('#slide-fifteen .answer-column-right').html('<div class="grey-answer-box"><h3>Initial Evacuation Distances</h3><p><b>The distances described on the pipeline marker: </b>Sorry, there are no distances or recommendations on pipeline markers.</p><p><b>The distance in the community emergency rsponse plan: </b>If your plan has written recommendations for immediate evacuation distances for the pipeline that you have worked out with the pipeline operators, good for you! Most plans usually site the DOT ERG.</p><p><b>DOT UN ID number on the pipeline marker: </b>Pipeline operators do not use the DOT UN ID numbers on their markers.</p><p><b>Call the pipeline operator: </b>THe pipeline operations center can give you enormous amounts of information on evacuation distances, hazards and safety procedures around the affected area. Call the Pipeline Center as soon as possible in a pipeline emergency.</p><p><b>DOT ERG - Guide 111: </b>Guide 111 is used if a specific guide cannot be found and this incident is believed to involve hazardous materials or dangerous goods. Turn to guide 111, and use it until additional information becomes available. These generic distances are universal safety precautions.</p></div>');
        $(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
        $(this).remove();
	});
	
	$('.audio-trigger').on('click', function(e){
		var audio = $(this).attr("data-audio");
		$('.triggeredAudio').html('<audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio>');
	});
	
	$('.black-white').on('click', function(e){
		if ( $(this).hasClass('bw-audio-trigger') ){
			var audio = $(this).attr("data-audio");
		$('.triggeredAudio').html('<audio autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio>');;
		}
		
	});
	
	
	
	$('.has-follow-up input').on('click', function(e){
		if ($(this).parent().parent().parent().is('.requires-correct')) {
			$(this).parent().parent().find('.checkmark').removeClass('right');
			$(this).parent().parent().find('.correct-answer').remove();
			$(this).parent().parent().find('.wrong-answer').remove();
			if ($(this).is('.ind-c')) {
				$(this).next('.checkmark').addClass('right');
				$(this).before('<span class="correct-answer">&#x2714;</span>');
				$(this).parent().parent().parent().next().slideDown(); 
			} else {
				$(this).before('<span class="wrong-answer">X</span>');
			}
		} else if ($(this).parent().parent().parent().is('.special-indicator')) {
			$(this).parent().parent().find('label').each(function() {
				  var specialind = $(this).attr("data-special");
				  var specialtype = $(this).attr("data-special-type");
				  console.log(specialtype);
				  if (specialind) {
					   if ($(this).find('.wrong-answer').length == 0 && $(this).find('.correct-answer').length == 0) {
							if (specialtype == 'correct') {
								  $(this).find('input').before('<span class="correct-answer">'+specialind+'</span>');
							  } else {
								  $(this).find('input').before('<span class="wrong-answer">'+specialind+'</span>');
							  }
						
						}
					}
				  
			});
			$(this).parent().parent().parent().next().slideDown(); 
			if ($('.active-slide .follow-up-play').length) {
				var clickaudio = $('.active-slide .follow-up-play');
				clickaudio.trigger("play");
			}
		} else {
			$(this).parent().parent().parent().next().slideDown(); 
			if ($('.active-slide .follow-up-play').length) {
				var clickaudio = $('.active-slide .follow-up-play');
				clickaudio.trigger("play");
			}
		}

		       
	});
	
	$( "#slide-sixteen .answers-button-text.first-answers" ).on('click', function(e) {
		e.preventDefault();
        var next = $(this).attr("data-next");
		$('#slide-sixteen .answer-column-right').slideUp('fast', function() {
			 $('#slide-sixteen .answer-column-right img').attr("src","images/guide_115_answer.jpg");
		$('#slide-sixteen .answer-column-right').slideDown();
			
		});
       
         $(this).after('<div class="audio-response"><a href="#'+next+'" class="after-audio" onclick="nextSlide(event, this)">Proceed »</a></div>');
        $(this).remove();
	});
	
	$( ".scenario-slide-six-eight .answers-button" ).on('click', function(e) {
		e.preventDefault();
		$('.scenario-slide-six-eight .column-right').html('<p>Where will it occur?</p><p>Where are the pipelines?</p><p>What are they carrying?</p><p>What will they do?</p><p>What will we do?</p><p>What can the pipeline operators do?</p>');
	});
	
	$(".hover-box-trigger").on({
		mouseenter: function () {
			$(this).find('.hover-box').show();
		},
		mouseleave: function () {
			$(this).find('.hover-box').hide();
		}
	});
	
	$("#dropdown").on({
		mouseenter: function () {
			$(this).find('#contents').show();
		},
		mouseleave: function () {
			$(this).find('#contents').hide();
		}
	});
	
	$("#markers div").on({
		mouseenter: function () {
			var marker = $(this).attr('data-map')
			$('.' + marker).show();
		},
		mouseleave: function () {
			var marker = $(this).attr('data-map')
			$('.' + marker).hide();
		}
	});
	
	$('.text-trigger').on('click', function(e){
		$('.active-question .triggered-text').hide();
		var textID = $(this).attr("data-text");
		console.log(textID);
		$('#'+textID).show();		       
	});
	
});

function nextSlide(e, el) {
	e.preventDefault();
	var hash = $(el).prop("hash");
	console.log(hash);
	var currentSlideVideo = $('.active-slide .player');
	if (currentSlideVideo.length) {
		froogaloop = $f(currentSlideVideo[0].id);
		froogaloop.api('pause');
	}
	$('audio').trigger("pause");
	
	$( "#contents" ).slideUp();
	$( "#top-navigation a" ).removeClass("active-navigation");
	$('a[href$="'+hash+'"]:not(.previous-slide, .next-slide)').addClass("active-navigation");
	$('.active-slide').removeClass('active-slide');
	$('.active-slide').fadeOut;
	$(hash).fadeIn;
	$(hash).addClass('active-slide');
	var next = $( ".slide-number.active-navigation" ).next().prop("hash");
	var previous = $( ".slide-number.active-navigation" ).prev().prop("hash");
	$(".previous-slide").prop("href", previous);
	$(".next-slide").prop("href", next);
	var player = $(hash + ' .player:not(.noauto)');
	if (player.length) {
		froogaloop = $f(player[0].id);
		froogaloop.api('play');
	}	
	if ($('.active-slide .playing .playon-click').length) {
			var clickaudio = $('.active-slide .playing .playon-click');
			clickaudio.trigger("play");
		}
    window.scroll(0,0)
}

function nextQuestion(e, el) {
	e.preventDefault();
	$('audio').trigger("pause");
	var hash = $(el).prop("hash");
	var caller = $(el).attr("data-caller");
	if ($(el).hasClass('check-play-go')) {
		console.log('class');
		var audio = $(el).attr("data-audio");
		$(el).siblings().find('input.ind-c').next('.checkmark').addClass('right');
		$(el).after('<div class="audio-response"><audio class="play-go" data-next="question-five-five-two" autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#question-five-five-two" class="after-audio" onclick="nextQuestion(event, this)">Next Question &raquo;</a></div>');
		$(el).remove();
	} else {
		$(el).parent().parent().parent().removeClass('active-question');
		$('.active-question').fadeOut;
		$(hash).fadeIn;
		$(hash).addClass('active-question');
	}
	
	if (caller) {
		$('.'+caller).css('background-color','transparent');
		$('.'+caller).addClass('bw-audio-trigger');
	}
}

function prevQuestion(e, el) {
	e.preventDefault();
	$('audio').trigger("pause");
	var hash = $(el).prop("hash");
	if ($(el).hasClass('check-play-go')) {
		console.log('class');
		var audio = $(el).attr("data-audio");
		$(el).siblings().find('input.ind-c').next('.checkmark').addClass('right');
		$(el).after('<div class="audio-response"><audio class="play-go" data-next="question-five-five-two" autoplay preload="auto" controls controlsList="nodownload" id="myAudio"><source src="audio/'+audio+'.mp3" type="audio/mpeg"></audio><a href="#question-five-five-two" class="after-audio" onclick="nextQuestion(event, this)">Next Question &raquo;</a></div>');
		$(el).remove();
	} else {
		$(el).parent().parent().parent().removeClass('active-question');
		$('.active-question').fadeOut;
		$(hash).fadeIn;
		$(hash).addClass('active-question');
	}
}

function printContent(el){
    var restorepage = document.body.innerHTML;
	$('.close').css('opacity', '0');
	$('.print').hide();
    var printcontent = document.getElementById(el).innerHTML;
    document.body.innerHTML = printcontent;
    window.print();
    document.body.innerHTML = restorepage;
}

function openContent(el){
    $('#'+el).fadeIn();
}

function closeContent(el){
	$('#'+el).fadeOut();
}